Package org.eclipse.m2m.atl.engine.emfvm

## Class ASM

- java.lang.Object
- - org.eclipse.m2m.atl.engine.emfvm.ASM

    public class ASM
    extends java.lang.Object

The ASM Class, which manages an ASM program.

### Constructor Summary

Constructors
`ASM()` ASM Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addField​(java.lang.String fieldName, java.lang.String type)` Adds a field.
`void` `addOperation​(ASMOperation operation)` Adds an operation.
`ASMOperation` `getMainOperation()` Returns "main" operation, if any.
`java.lang.String` `getName()`
`java.util.Iterator<ASMOperation>` `getOperations()` Returns All registered operations.
`java.lang.String` `getVersion()`
`static void` `registerOperations​(ExecEnv execEnv, java.util.Iterator<ASMOperation> operationsToRegister)` Registers all ATL operations.
`java.lang.Object` `run​(ITool[] tools, java.util.Map<java.lang.String,​IModel> models, java.util.Map<java.lang.String,​ASM> libraries, java.util.List<ASM> superimpose, java.util.Map<java.lang.String,​java.lang.Object> options, org.eclipse.core.runtime.IProgressMonitor monitor, IModelAdapter modelAdapter)` Launches the ASM.
`void` `setName​(java.lang.String name)`
`void` `setVersion​(java.lang.String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASM

    public ASM()

ASM Constructor.

### Method Detail

#### setName

    public void setName​(java.lang.String name)

#### addField

    public void addField​(java.lang.String fieldName,
                         java.lang.String type)

Adds a field.

Parameters:
  `fieldName` - the field name
  `type` - the field type

#### addOperation

    public void addOperation​(ASMOperation operation)

Adds an operation.

Parameters:
  `operation` - the operation to add

#### getOperations

    public java.util.Iterator<ASMOperation> getOperations()

Returns All registered operations.

Returns:
  All registered operations
See Also:
  `addOperation(ASMOperation)`

#### getMainOperation

    public ASMOperation getMainOperation()

Returns "main" operation, if any.

Returns:
  "main" operation, if any

#### run

    public java.lang.Object run​(ITool[] tools,
                                java.util.Map<java.lang.String,​IModel> models,
                                java.util.Map<java.lang.String,​ASM> libraries,
                                java.util.List<ASM> superimpose,
                                java.util.Map<java.lang.String,​java.lang.Object> options,
                                org.eclipse.core.runtime.IProgressMonitor monitor,
                                IModelAdapter modelAdapter)

Launches the ASM.

Parameters:
  `tools` - the execution tools
  `models` - the model map
  `libraries` - the library map
  `superimpose` - the superimpose list
  `options` - the option map
  `monitor` - the progress monitor
  `modelAdapter` - the `IModelAdapter` to use
Returns:
  the execution result

#### registerOperations

    public static void registerOperations​(ExecEnv execEnv,
                                          java.util.Iterator<ASMOperation> operationsToRegister)

Registers all ATL operations.

Parameters:
  `execEnv` - the execution environment where to register operations
  `operationsToRegister` - the list of operations to register

#### getName

    public java.lang.String getName()

#### setVersion

    public void setVersion​(java.lang.String version)

#### getVersion

    public java.lang.String getVersion()